PAM_MISC_PASTE_ENV(3)

NAME
pam_misc_paste_env - transcribing an environment to that of PAM

SYNOPSIS

#include <security/pam_misc.h>

int pam_misc_paste_env(pam_handle_t *pamh, const char * const *user);

DESCRIPTION

This function takes the supplied list of environment pointers and uploads its contents to the PAM environment. Success is indicated by PAM_SUCCESS.

SEE ALSO

pam_putenv(3), pam(8)

STANDARDS

The pam_misc_paste_env function is part of the libpam_misc Library and not defined in any standard.